import 'package:flutter/material.dart';
import 'package:sense_the_rhythm/models/arrow_direction.dart';

class Arrow extends StatelessWidget {
  final double position;
  final ArrowDirection direction;

  const Arrow({super.key, required this.position, required this.direction});

  @override
  Widget build(BuildContext context) {
    return Positioned(
      left: MediaQuery.of(context).size.width / 2 - 50, // Center the arrow
      bottom: position + 50,
      child: Icon(size: 100, color: Colors.redAccent.shade400, direction.icon),
    );
  }
}
